Subject: bug#51794: 29.0.50; invalid input events generated from a mouse click for the tab bar

From: Mark Kennedy <[email-masked]>
Date: Sat, 13 Nov 2021 09:52:21 -0500

i'm willing to attempt to debug it myself but not via the -Q route.  i
prefer to focus on where the bad input event stream is being created.
any suggestions about where to put an elisp or C breakpoint to go
after this?
/mark

On Sat, Nov 13, 2021 at 9:41 AM Eli Zaretskii <[email-masked]> wrote:
>
> [PLEASE USE REPLY ALL TO REPLY, SO THAT THE BUG TRACKER IS CC'ED.]
>
> > From: Mark Kennedy <[email-masked]>
> > Date: Sat, 13 Nov 2021 08:50:08 -0500
> >
> > reproducing from -Q is a nightmare.  your comment that it did not
> > recognize the part of the window frame is what i want to focus on.
> > the window containing the scala mode buffer contains tab-bar tabs.  i
> > am clicking in either a tab (on the close icon) or to the right of the
> > tab list on the "open new empty tab" icon (still within the tab bar).
> > how could that generate the <nil> input event?
>
> I don't know.  That's why I asked for a recipe: to try debugging it
> myself.  If it isn't practical to provide a recipe, you will have to
> debug it on your system.